#!/bin/sh
#----------------------------------------------------------------------------
# /var/install/dialog.d/CAPI_REMOTE_DRV_CUI.sh - script dialog for ece
#
# Creation:     2012-03-24 hbfl
# Last update:  $Id: CAPI_REMOTE_DRV_CUI.sh 44977 2017-02-13 22:21:35Z hbfl $
#
# Copyright (c) 2012-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ---------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ---------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist="fritzbox,rcapi"

    ece_select_list_dlg "${win}" "CAPI remote driver" "${sellist}"
}

# ---------------------------------------------------------------------------
# main routine
# ---------------------------------------------------------------------------

cui_init
cui_run

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------

exit 0
